package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.sql.Update;

public class V12_1_To_V12_2 extends AbstractUpdate
{
	
	public V12_1_To_V12_2()
	{
		super(12.1,12.2,
				"A corrigir a tabela de marcacoes de trabalhadores",
				"A corrigir a tabela de avisos",
				"A corrigir a tabela de exames");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		executeQuery( new Update( "ALTER TABLE marcacoes_trabalhador ADD CONSTRAINT marcacoes_trabalhador_trabalhador_id_fkey FOREIGN KEY (trabalhador_id) REFERENCES trabalhadores (id); " ) );
		executeQuery( new Update( "ALTER TABLE avisos ADD CONSTRAINT avisos_trabalhador_id_fkey FOREIGN KEY (trabalhador_id) REFERENCES trabalhadores (id); " ) );
		executeQuery( new Update( "ALTER TABLE exames ADD CONSTRAINT exames_trabalhador_id_fkey FOREIGN KEY (trabalhador_id) REFERENCES trabalhadores(id); " ) );
	}
	
}
